OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SUN.GlobalAlpha

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSUNGlobalAlpha :: MonadIO m => m Bool
- gl_SUN_global_alpha :: Bool
- pattern GL_GLOBAL_ALPHA_FACTOR_SUN :: GLenum
- pattern GL_GLOBAL_ALPHA_SUN :: GLenum
- glGlobalAlphaFactorbSUN :: MonadIO m => GLbyte -> m ()
- glGlobalAlphaFactordSUN :: MonadIO m => GLdouble -> m ()
- glGlobalAlphaFactorfSUN :: MonadIO m => GLfloat -> m ()
- glGlobalAlphaFactoriSUN :: MonadIO m => GLint -> m ()
- glGlobalAlphaFactorsSUN :: MonadIO m => GLshort -> m ()
- glGlobalAlphaFactorubSUN :: MonadIO m => GLubyte -> m ()
- glGlobalAlphaFactoruiSUN :: MonadIO m => GLuint -> m ()
- glGlobalAlphaFactorusSUN :: MonadIO m => GLushort -> m ()

# Extension Support

glGetSUNGlobalAlpha :: MonadIO m => m Bool Source #

Is the SUN_global_alpha extension supported?

gl_SUN_global_alpha :: Bool Source #

Is the SUN_global_alpha extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSUNGlobalAlpha` in those cases instead.

# Enums

pattern GL_GLOBAL_ALPHA_FACTOR_SUN :: GLenum Source #

pattern GL_GLOBAL_ALPHA_SUN :: GLenum Source #

# Functions

glGlobalAlphaFactorbSUN Source #

Arguments

:: MonadIO m |
=> GLbyte | `factor`.
-> m () |

glGlobalAlphaFactordSUN Source #

Arguments

:: MonadIO m |
=> GLdouble | `factor`.
-> m () |

glGlobalAlphaFactorfSUN Source #

Arguments

:: MonadIO m |
=> GLfloat | `factor`.
-> m () |

glGlobalAlphaFactoriSUN Source #

Arguments

:: MonadIO m |
=> GLint | `factor`.
-> m () |

glGlobalAlphaFactorsSUN Source #

Arguments

:: MonadIO m |
=> GLshort | `factor`.
-> m () |

glGlobalAlphaFactorubSUN Source #

Arguments

:: MonadIO m |
=> GLubyte | `factor`.
-> m () |

glGlobalAlphaFactoruiSUN Source #

Arguments

:: MonadIO m |
=> GLuint | `factor`.
-> m () |

glGlobalAlphaFactorusSUN Source #

Arguments

:: MonadIO m |
=> GLushort | `factor`.
-> m () |